- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtil::Hit Class Reference

List of all members.

## Public Types
typedef std::vector< int > | VecIndexList
## Public Member Functions
| Hit ()
| Describes a point in space produced by an intersection of a line with a scene.
| Hit (const Hit &hit)
| ~Hit ()
Hit & | operator= (const Hit &hit)
bool | operator< (const Hit &hit) const
const osg::Vec3 & | getLocalIntersectPoint () const
const osg::Vec3 & | getLocalIntersectNormal () const
const osg::Vec3 | getWorldIntersectPoint () const
const osg::Vec3 | getWorldIntersectNormal () const
## Public Attributes
float | _ratio
osg::ref_ptr< osg::LineSegment > | _originalLineSegment
osg::ref_ptr< osg::LineSegment > | _localLineSegment
osg::NodePath | _nodePath
osg::ref_ptr< osg::Geode > | _geode
osg::ref_ptr< osg::Drawable > | _drawable
osg::ref_ptr< osg::RefMatrix > | _matrix
osg::ref_ptr< osg::RefMatrix > | _inverse
VecIndexList | _vecIndexList
int | _primitiveIndex
osg::Vec3 | _intersectPoint
osg::Vec3 | _intersectNormal

## Member Typedef Documentation

typedef std::vector<int> osgUtil::Hit::VecIndexList

## Constructor & Destructor Documentation

Hit::Hit | ( |  | ) |

| Describes a point in space produced by an intersection of a line with a scene. A Hit is always on a surface as rendered by the Open Scene Graph scene (usually a triangle or other primitive, but a special hit handler could return a different value perhaps: a sphere shape might return a Hit on the true sphere rather than the approximate tesselated sphere rendered.

Hit::Hit | ( | const Hit & | hit | ) |

Hit::~Hit | ( |  | ) |

## Member Function Documentation

const osg::Vec3& osgUtil::Hit::getLocalIntersectNormal | ( |  | ) | const`[inline]`

const osg::Vec3& osgUtil::Hit::getLocalIntersectPoint | ( |  | ) | const`[inline]`

const osg::Vec3 Hit::getWorldIntersectNormal | ( |  | ) | const

const osg::Vec3 osgUtil::Hit::getWorldIntersectPoint | ( |  | ) | const`[inline]`

bool osgUtil::Hit::operator< | ( | const Hit & | hit | ) | const`[inline]`

Hit & Hit::operator= | ( | const Hit & | hit | ) |

## Member Data Documentation

osg::ref_ptr<osg::Drawable> osgUtil::Hit::_drawable

osg::ref_ptr<osg::Geode> osgUtil::Hit::_geode

osg::Vec3 osgUtil::Hit::_intersectNormal

osg::Vec3 osgUtil::Hit::_intersectPoint

osg::ref_ptr<osg::RefMatrix> osgUtil::Hit::_inverse

osg::ref_ptr<osg::LineSegment> osgUtil::Hit::_localLineSegment

osg::ref_ptr<osg::RefMatrix> osgUtil::Hit::_matrix

osg::NodePath osgUtil::Hit::_nodePath

osg::ref_ptr<osg::LineSegment> osgUtil::Hit::_originalLineSegment

int osgUtil::Hit::_primitiveIndex

float osgUtil::Hit::_ratio

VecIndexList osgUtil::Hit::_vecIndexList

The documentation for this class was generated from the following files:

- IntersectVisitor
- IntersectVisitor.cpp